### Method

# GLib StaticRWLock writer_trylock

deprecated: 2.32

#### Declaration

    gboolean
    g_static_rw_lock_writer_trylock (
      GStaticRWLock* lock
    )

#### Description

Tries to lock `lock` for writing. If `lock` is already locked (for either reading or writing) by another thread, it immediately returns `FALSE`. Otherwise it locks `lock` for writing and returns `TRUE`. This lock has to be unlocked by g_static_rw_lock_writer_unlock().

Deprecated since: 2.32

Use `g_rw_lock_writer_trylock()` instead.

This method is not directly available to language bindings.

#### Return value

Type: `gboolean`

`TRUE`, if `lock` could be locked for writing.